Subject: Re: [PATCH] Update: Fixing SSH Hardware Key Issue

From: Bagas Sanjaya <[email-masked]>
Date: Thu, 31 Aug 2023 12:59:47 +0700

On Thu, Aug 31, 2023 at 05:20:19AM +0000, youngbludproductions wrote:
> Hey folks,
> 
> I've been experiencing some weird behavior with SSH and my hardware key. After some investigation, I've identified the root cause and prepared a patch to address the issue.
> 
> The patch modifies the SSH code to ensure proper handling of hardware keys, resolving the unexpected behavior. I've tested it extensively and it seems to resolve the problem on my end.
> 
> Please find the patch below:
> 
> diff --git a/net/ssh.c b/net/ssh.c
> index 1234567..abcdefg 100644
> --- a/net/ssh.c
> +++ b/net/ssh.c
> @@ -123,7 +123,7 @@ static int ssh_handle_key(struct ssh_session *session, struct ssh_key *key)
>         /* Code to handle key goes here */
>         return 0;
>  }
> 
> -// Additional changes go here
> +// Additional changes go here to fix the hardware key issue

What? Dummy diff?

Does configuring openssh not fix your issue so that you have to resort
to patching openssh package?

Confused...

-- 
An old man doll... just what I always wanted! - Clara